Bug 67176 - rpm --rebuilddb segfaults on possibly corrupt db
rpm --rebuilddb segfaults on possibly corrupt db
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
http://www.media.mit.edu/~vemuri/rpmd...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-20 13:37 EDT by Sunil Vemuri
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-20 13:37:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sunil Vemuri 2002-06-20 13:37:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
when attempting to use rpm, I've been consistently getting errors.
Upon trying "rpm --rebuilddb", it also segfaults (after about a minute of 
activity).
I then attempted to check the db by following the instructions available at:
http://www.geocrawler.com/archives/3/87/2002/2/0/7971730/
That failed too, with the final suggestion of submitting a bug report



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. please see "actual results" section
2.
3.
	

Actual Results:  $ sudo rpm -Uvh gcc-cross-sa1100-2.95.2-0.i386.rpm 
dbiTagsInit: unrecognized tag name: "Installtid" ignored
dbiTagsInit: unrecognized tag name: "Sha1header" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
Segmentation fault (core dumped)

Upon trying "rpm --rebuilddb", it also segfaults (after about a minute of 
activity):

$ sudo rpm --rebuilddb
dbiTagsInit: unrecognized tag name: "Installtid" ignored
dbiTagsInit: unrecognized tag name: "Sha1header" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
Segmentation fault (core dumped)

I then attempted to check the db by following the instructions available at:
http://www.geocrawler.com/archives/3/87/2002/2/0/7971730/

In step 1, 'db_verify' succeeded
In step 2, 'rpm -qa' succeeds except it gives the following warnings:
$ rpm -qa | less
dbiTagsInit: unrecognized tag name: "Installtid" ignored
dbiTagsInit: unrecognized tag name: "Sha1header" ignored
dbiSetConfig: unrecognized db option: "verify" ignored
dbiSetConfig: unrecognized db option: "tmpdir" ignored
chkconfig-1.2.16-1
bash-2.04-11
...

The instructions suggested skipping to step 5: 'rpm --rebuilddb' ... which 
still fails.

As per the suggestions in that email, I am submitting a bugzilla report with a 
URL of the rpmdb.

Additional info:
Comment 1 Jeff Johnson 2002-06-20 13:52:51 EDT
Your configuration is newer than your executable. Check
/usr/lib/rpm/macros, use the correct default for
your executable. I'd suggest rpm-4.0.4 from Red Hat 7.3.

Reopen this bug with a pointer (i.e. URL, attachments won't work)
to a tarball of your database
	cd /var/lib
	tar czvf /tmp/rpmdb-67176.tar.gz rpm
if you need help with the segfault.

Note You need to log in before you can comment on or make changes to this bug.